Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.opentrac
Class OpenTracSymbols

    java.lang.Object
      org.ka2ddo.opentrac.OpenTracSymbols

    public class OpenTracSymbols

extends java.lang.Object

Services for looking up OpenTRAC symbols and translating them to and from APRS symbols.

Method Summary
`static java.lang.String` | `getAprsSymbolCode(OpenTracMapSymbol otms)`
`static java.lang.String` | `getOpenTracSymbolCode(java.lang.String aprsSymbolCode)` Get the OpenTracMapSymbol code corresponding to the specified APRS symbol.
`static java.lang.String` | `getOpenTracSymbolDescription(OpenTracMapSymbol otms)` Get the description associated with an OpenTracMapSymbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getOpenTracSymbolCode

    public static java.lang.String getOpenTracSymbolCode(java.lang.String aprsSymbolCode)

  Get the OpenTracMapSymbol code corresponding to the specified APRS symbol.

  Parameters:
    `aprsSymbolCode` - String of symbol table ID (or overlay) and symbol code
  Returns:
    packed hexadecimal form of OpenTracMapSymbol value, or null if no corresponding symbol

### getAprsSymbolCode

    public static java.lang.String getAprsSymbolCode(OpenTracMapSymbol otms)

### getOpenTracSymbolDescription

    public static java.lang.String getOpenTracSymbolDescription(OpenTracMapSymbol otms)

  Get the description associated with an OpenTracMapSymbol. If the specific symbol is not known, use the most detailed hierarchical parent symbol meaning currently known.

  Parameters:
    `otms` - OpenTracMapSymbol object containing a symbol byte array
  Returns:
    String description of the symbol, or null if no match can be found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD